# GRASS adaptation Copyright 1999-2000 by Roger S. Bivand
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#

#
# ppinit copyright 1994-9 W.N.Venables & B.D.Ripley
#
ppinit.G <- function (G, slist = "") 
{
    if (class(G) != "grassmeta") stop("Data not a grass object")
    require(spatial)
    site.frame <- sites.get(G, slist)
    pp <- list(x=site.frame$east, y=site.frame$north)
    pp$area <- c(xl = G$w, xu = G$e, yl = G$s, yu = G$n)
    if (!is.loaded(symbol.C("VR_ppset"))) 
        stop("Compiled code has not been dynamically loaded")
    ppregion(pp)
    invisible(pp)
}
