% Copyright 1999-2000 by Roger S. Bivand
%
\name{east.grassmeta}
\alias{east.grassmeta}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Returns raster cell eastings for the current LOCATION}
\description{
	An access function to construct a vector of eastings for the GRASS region described by the metadata in G.
}
\usage{
	east.grassmeta(G)
}
\arguments{
	 \item{G}{GRASS metadata from \code{gmeta()}
}
%- maybe also `usage' for other objects documented here.
\value{
  \item{numeric vector}{raster cell centre eastings in GRASS order}
}
\references{\url{http://www.geog.uni-hannover.de/grass/statsgrasslist.html}, \url{http://www.baylor.edu/~grass}, Bivand, R. S., (2000) Using the R statistical data analysis language on GRASS 5.0 GIS data base files. Computers and Geosciences, 26, pp. 1043-1052.}
\author{Roger S. Bivand, Department of Geography, Norwegian School of Economics and Business Administration, Breiviksveien 40, N-5045 Bergen, Norway; e-mail: \email{Roger.Bivand@nhh.no.}}
\seealso{\code{\link{gmeta}}}

\examples{
G <- gmeta()
summary(G)
eastG <- east(G)
northG <- north(G)
obsnoG <- obsno(G)
reverseG <- reverse(G)
}
\keyword{GRASS, interface, spatial statistics}%-- one or more ...

