% Copyright 1999-2000 by Roger S. Bivand
%
\name{ppinit.G}
\alias{ppinit.G}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Read a Point Process Object from a GRASS sites file}
\description{
 A version of \code{ppinit()} from the \code{spatial} package in the VR collection, using the metadata of the underlying GRASS LOCATION.
}
\usage{
ppinit.G(G, slist="")
}
%- maybe also `usage' for other objects documented here.
\arguments{
 \item{G}{GRASS metadata from gmeta()}
 \item{slist}{Name of the GRASS sites file to be read}
}
\value{A pp object with:
  \item{x}{Eastings of point locations}
  \item{y}{Northings of point locations}
  \item{area}{  \tabular{ll}{
 xl  \tab G$w\cr
 xu  \tab G$e\cr
 yl  \tab G$s\cr
 yu  \tab G$n\cr
  }
}
}
}
\references{\url{http://www.geog.uni-hannover.de/grass/statsgrasslist.html}, \url{http://www.baylor.edu/~grass}, Bivand, R. S., (2000) Using the R statistical data analysis language on GRASS 5.0 GIS data base files. Computers and Geosciences, 26, pp. 1043-1052.}
\author{Original \code{ppinit()}: Brian D. Ripley and Bill Venables as detailed in the spatial package documentation; adapted by Roger S. Bivand, Department of Geography, Norwegian School of Economics and Business Administration, Breiviksveien 40, N-5045 Bergen, Norway; e-mail: \email{Roger.Bivand@nhh.no.}}
\note{The functions in this package are intended to work with the GRASS geographical information system. The examples will only work if R is started from inside GRASS, choosing the location for the Pontypool PCBs data. GRASS installations differ in permissions needed to establish a new location, and system administrator privileges may be needed to create the Pontypool location. Information about the necessary metadata may be found by: \code{help(pcbs)}. The actual data may be accessed from R: \code{data(pcbs)}.}

\seealso{\code{\link{ppinit}}, \code{\link{ppregion}}}

\examples{
if(length(ls(pat="pcbs.o"))==0){example(pcbs)}
if(length(ls(pat="G"))==0){example(gmeta)}
if(length(ls(pat="nameQ"))==0){example(sites.put)}
require(spatial)
pp.pcbs <- ppinit.G(G, slist="ex.pcbs.in")
plot(G)
points(pp.pcbs)
plot(Kfn(pp.pcbs, 200), type="l", xlab="distance", ylab=expression(L[i]))
}
\keyword{GRASS, interface, spatial statistics}%-- one or more ...
