% Copyright 1999-2000 by Roger S. Bivand
%
\name{reverse.grassmeta}
\alias{reverse.grassmeta}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Returns reversed raster cell numbers for the current LOCATION}
\description{
	An access function to construct a vector of reversed raster cell numbers for the GRASS region described by the metadata in G. It may be used to reorder GRASS raster cell data to suit the bottom-top y-axis order assumed by image(), as contrasted with typical GRASS top-bottom y-axis (northing) order.
}
\usage{
	reverse.grassmeta(G, northG=north(G), eastG=east(G))
}
\arguments{
	 \item{G}{GRASS metadata from \code{gmeta()}
	 \item{northG}{GRASS cell centre northings}
	 \item{eastG}{GRASS cell centre eastings}
}
%- maybe also `usage' for other objects documented here.
\value{
  \item{integer vector}{raster cell numbers in reversed GRASS northing order}
}
\references{\url{http://www.geog.uni-hannover.de/grass/statsgrasslist.html}, \url{http://www.baylor.edu/~grass}, Bivand, R. S., (2000) Using the R statistical data analysis language on GRASS 5.0 GIS data base files. Computers and Geosciences, 26, pp. 1043-1052.}
\author{Roger S. Bivand, Department of Geography, Norwegian School of Economics and Business Administration, Breiviksveien 40, N-5045 Bergen, Norway; e-mail: \email{Roger.Bivand@nhh.no.}}
\seealso{\code{\link{gmeta}}}

\examples{
G <- gmeta()
summary(G)
eastG <- east(G)
northG <- north(G)
obsnoG <- obsno(G)
reverseG <- reverse(G)
}
\keyword{GRASS, interface, spatial statistics}%-- one or more ...

